classification
Title: formatargspec deprecated but does not emit DeprecationWarning.
Type: Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: ZackerySpytz, docs@python, mbussonn, miss-islington, ned.deily, yselivanov
Priority: normal Keywords: patch

Created on 2018-05-19 22:55 by mbussonn, last changed 2018-06-12 04:25 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6994 merged mbussonn, 2018-05-19 23:00
PR 7645 merged miss-islington, 2018-06-11 20:09
PR 7655 merged ZackerySpytz, 2018-06-12 02:40
PR 7657 merged miss-islington, 2018-06-12 03:17
Messages (6)
msg317142 - (view) Author: Matthias Bussonnier (mbussonn) * Date: 2018-05-19 22:55
Documentation says formatargspec is deprecated since 3.5, but no DeprecationWarnings are emitted, the docstring also does not mention this fact.
msg319335 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-06-11 20:08
New changeset 46c5cd0f6e22bdfbdd3f0b18f1d01eda754e7e11 by Ned Deily (Matthias Bussonnier) in branch 'master':
bpo-33582: Emit deprecation warning for `formatargspec` (GH-6994)
https://github.com/python/cpython/commit/46c5cd0f6e22bdfbdd3f0b18f1d01eda754e7e11
msg319341 - (view) Author: miss-islington (miss-islington) Date: 2018-06-11 20:44
New changeset 60b8274fec3ff029591d8718650223c5ce78a05c by Miss Islington (bot) in branch '3.7':
bpo-33582: Emit deprecation warning for `formatargspec` (GH-6994)
https://github.com/python/cpython/commit/60b8274fec3ff029591d8718650223c5ce78a05c
msg319342 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-06-11 20:47
Thanks for the PR, Matthias, and thanks for shepherding this, Tal.  Merged for 3.7.0rc1 (I don't think it is appropriate to backport to earlier releases.)
msg319357 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-06-12 03:16
New changeset 41254ebd5e4f40a2e095d8aaea60bf3973de4647 by Ned Deily (Zackery Spytz) in branch 'master':
bpo-33582: Remove duplicate space in inspect.formatargspec() deprecation warning (GH-7655)
https://github.com/python/cpython/commit/41254ebd5e4f40a2e095d8aaea60bf3973de4647
msg319359 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-06-12 04:25
New changeset 8379b70be2c0a9e3f11cdb694a8faaf5763f99ed by Ned Deily (Miss Islington (bot)) in branch '3.7':
bpo-33582: Remove duplicate space in inspect.formatargspec() deprecation warning (GH-7655) (GH-7657)
https://github.com/python/cpython/commit/8379b70be2c0a9e3f11cdb694a8faaf5763f99ed
History
Date User Action Args
2018-06-12 04:25:35ned.deilysetmessages: + msg319359
2018-06-12 03:17:35miss-islingtonsetpull_requests: + pull_request7274
2018-06-12 03:16:21ned.deilysetmessages: + msg319357
2018-06-12 02:40:59ZackerySpytzsetpull_requests: + pull_request7272
2018-06-12 02:37:42ZackerySpytzsetnosy: + ZackerySpytz

title: formatargspec deprecated but does nto emit DeprecationWarning. -> formatargspec deprecated but does not emit DeprecationWarning.
2018-06-11 20:47:04ned.deilysetstatus: open -> closed
resolution: fixed
messages: + msg319342

stage: patch review -> resolved
2018-06-11 20:44:18miss-islingtonsetnosy: + miss-islington
messages: + msg319341
2018-06-11 20:09:54miss-islingtonsetpull_requests: + pull_request7264
2018-06-11 20:08:19ned.deilysetnosy: + ned.deily
messages: + msg319335
2018-06-11 19:59:28ned.deilysetversions: - Python 3.6
2018-05-25 18:06:23terry.reedysetnosy: + yselivanov

versions: - Python 3.5
2018-05-19 23:00:05mbussonnsetkeywords: + patch
stage: patch review
pull_requests: + pull_request6646
2018-05-19 22:55:49mbussonncreate